<?php

namespace Lc\CaracoleBundle\Container\Order;

use Lc\CaracoleBundle\Builder\Order\OrderProductBuilder;
use Lc\CaracoleBundle\Factory\Order\OrderProductFactory;
use Lc\CaracoleBundle\Repository\Order\OrderProductRepositoryQuery;
use Lc\CaracoleBundle\Repository\Order\OrderProductStore;

class OrderProductContainer
{
    protected OrderProductFactory $factory;
    protected OrderProductBuilder $builder;
    protected OrderProductRepositoryQuery $repositoryQuery;
    protected OrderProductStore $store;

    public function __construct(
            OrderProductFactory $factory,
            OrderProductBuilder $builder,
            OrderProductRepositoryQuery $repositoryQuery,
            OrderProductStore $store
    ) {
        $this->factory = $factory;
        $this->builder = $builder;
        $this->repositoryQuery = $repositoryQuery;
        $this->store = $store;
    }

    public function getFactory(): OrderProductFactory
    {
        return $this->factory;
    }

    public function getBuilder(): OrderProductBuilder
    {
        return $this->builder;
    }

    public function getRepositoryQuery(): OrderProductRepositoryQuery
    {
        return $this->repositoryQuery;
    }

    public function getStore(): OrderProductStore
    {
        return $this->store;
    }
}