<?php

namespace Lc\CaracoleBundle\Container\Order;

use App\Resolver\OrderResolver;
use Lc\CaracoleBundle\Builder\Order\OrderShopBuilder;
use Lc\CaracoleBundle\Factory\Order\OrderShopFactory;
use Lc\CaracoleBundle\Repository\Order\OrderShopRepositoryQuery;
use Lc\CaracoleBundle\Repository\Order\OrderShopStore;
use Lc\CaracoleBundle\Solver\Order\OrderShopSolver;
use Lc\CaracoleBundle\Transformer\Order\OrderShopTransformer;

class OrderShopContainer
{
    protected OrderShopFactory $factory;
    protected OrderShopSolver $solver;
    protected OrderShopRepositoryQuery $repositoryQuery;
    protected OrderShopStore $store;
    protected OrderShopBuilder $builder;
    protected OrderResolver $resolver;
    protected OrderShopTransformer $transformer;

    public function __construct(
            OrderShopFactory $factory,
            OrderShopSolver $solver,
            OrderShopRepositoryQuery $repositoryQuery,
            OrderShopStore $store,
            OrderResolver $resolver,
            OrderShopBuilder $builder,
            OrderShopTransformer $transformer
    ) {
        $this->factory = $factory;
        $this->solver = $solver;
        $this->repositoryQuery = $repositoryQuery;
        $this->store = $store;
        $this->resolver = $resolver;
        $this->builder = $builder;
        $this->transformer = $transformer;
    }

    public function getFactory(): OrderShopFactory
    {
        return $this->factory;
    }

    public function getSolver(): OrderShopSolver
    {
        return $this->solver;
    }

    public function getRepositoryQuery(): OrderShopRepositoryQuery
    {
        return $this->repositoryQuery;
    }

    public function getStore(): OrderShopStore
    {
        return $this->store;
    }

    public function getResolver(): OrderResolver
    {
        return $this->resolver;
    }

    public function getBuilder(): OrderShopBuilder
    {
        return $this->builder;
    }

    public function getTransformer(): OrderShopTransformer
    {
        return $this->transformer;
    }

}